Index: framework/js/Engage.js
===================================================================
--- framework/js/Engage.js	(revision 9226)
+++ framework/js/Engage.js	(working copy)
@@ -240,7 +240,7 @@
                     "path": "value.isCurrent",
                     "func": "makeBoolean"
                 },//"value.isCurrent",
-                "title": "key",
+                "title": "value.title",
                 "displayDate": "value.displayDate",
                 "endDate": "value.endDate",
                 "image": {
@@ -251,7 +251,12 @@
             mappers: {
                 getExhibitionImage: function (value) {
                     var getImage = function () {
-                        return "http://www.mccord-museum.qc.ca" + $.makeArray(value.small)[0].nodetext;
+                        if (value.thumbnail) {
+                            return $.makeArray(value.thumbnail)[0].nodetext;
+                        }
+                        else {
+                            return $.makeArray(value.small)[0].nodetext;
+                        }
                     };
                     return tryFunc(getImage, value);
                 },
@@ -265,73 +270,54 @@
         },
         mccord_exhibitions_view: {
             dataSpec: {
-                "isCurrent": "value.isCurrent",
-                "title": "key",
+                "isCurrent": {
+                    "path": "value.isCurrent",
+                    "func": "makeBoolean"
+                },
+                "title": "key.title",
                 "displayDate": "value.displayDate",
                 "endDate": "value.endDate",
                 "image": {
                     "path": "value.image",
                     "func": "getExhibitionImage"
                 },
-                "introduction": {
-                    "path": "value.introduction",
-                    "func": "getIntroduction"
-                },
-                "content": {
-                    "path": "value.content",
-                    "func": "getContent"
-                },
-                "catalogueSize": "value.catalogueSize"
+                "introduction": "value.introduction",
+                "content": "value.content",
+                "catalogueSize": "value.catalogueSize",
+                "shortDescription": "value.shortDescription",
+                "cataloguePreview": {
+                    "path": "value.cataloguePreview",
+                    "func": "getCataloguePreview"
+                }
             },
             mappers: {
-                getContent: function (value) {
-                    var buildContent = function (value) {
-                        var content = value.h2 ? value.h2 : "";
-                        if (value.p) {
-                            if (typeof(value.p) === "string") {
-                                content = content + wrap(value.p, "p");
-                            }
-                            else {
-                                for (var i in value.p) {
-                                    if (value.p.hasOwnProperty(i)) {
-                                        content = content + wrap(buildHTML(value.p[i]), "p");
-                                    } 
-                                }
-                            }
-                        }
-                        return content ? content : undefined; 
+                getCataloguePreview: function (value) {
+                    var getPreview = function (value) {
+                        return fluid.transform(value, function (artifact) {
+                            return {
+                                "media": artifact.hasMedia === "yes",
+                                "title": artifact.title,
+                                "image": $.makeArray(artifact.thumbnail)[0].nodetext,
+                                "accessionNumber": artifact.accessnumber
+                            };
+                        });
                     };
-                    return tryFunc(buildContent, value, "");
+                    return tryFunc(getPreview, value, []);
                 },
-                getIntroduction: function (value) {
-                    var buildIntro = function (value) {
-                        var intro = "";
-                        if (value.p) {
-                            if (typeof(value.p) === "string") {
-                                intro = intro + wrap(value.p, "p");
-                            }
-                            else {
-                                for (var i in value.p) {
-                                    if (value.p.hasOwnProperty(i)) {
-                                        intro = intro + wrap(buildHTML(value.p[i]), "p");
-                                    }
-                                }
-                            }
-                            return intro;
-                        }
-                        return intro ? intro : undefined;
+                makeBoolean: function (value) {
+                    var convert = function () {
+                        return value === "yes";
                     };
-                    return tryFunc(buildIntro, value, "");
+                    return tryFunc(convert, value);
                 },
                 getExhibitionImage: function (value) {
                     var getImage = function () {
-                        if ($.makeArray(value.large)[0].height) {
-                            return "http://www.mccord-museum.qc.ca" + $.makeArray(value.large)[0].nodetext;
+                        if (value.thumbnail) {
+                            return $.makeArray(value.thumbnail)[0].nodetext;
                         }
-                        else if ($.makeArray(value.medium)[0].height) {
-                            return "http://www.mccord-museum.qc.ca" + $.makeArray(value.medium)[0].nodetext;
+                        else {
+                            return $.makeArray(value.small)[0].nodetext;
                         }
-                        return "http://www.mccord-museum.qc.ca" + $.makeArray(value.small)[0].nodetext;
                     };
                     return tryFunc(getImage, value);
                 }
